Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 8263 - USER TEST: Show all feedback from CVS actions, not just errors
USER TEST: Show all feedback from CVS actions, not just errors
Status: VERIFIED FIXED
Product: obsolete
Classification: Unclassified
Component: vcscvs
3.x
PC Windows 3.1/NT
: P4 (vote)
: 3.x
Assigned To: issues@obsolete
issues@obsolete
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-08 00:22 UTC by jhoffman
Modified: 2001-05-06 15:36 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jhoffman 2000-11-08 00:22:59 UTC
Users in the FFJ user test would like the option to see all feedback from
their CVS actions, not only those that result in errors.  Currently, successful
CVS actions are indicated by short feedback in the status area of the main
window, and doesn't provide any details that the user may require when working
with large numbers of files.

Suggestion would be to pipe all CVS output to the output window and display it
after a CVS action has been selected.
Comment 1 dmladek 2000-11-08 09:37:59 UTC
That's a good idea.
Now, a "Debugging" property exists in CVS FS - > Customizer.
IT prints all error output and command(s) which is performed.

In future there should appear a property allowed print all standart output.

(BTW: the printing into Output window makes IDE terribly slow)
Comment 2 dmladek 2000-11-08 10:04:59 UTC
I'd like to ask UI team how this functionality should be accessible to users?
IMHO:It could be one of the property of
CVS FS (customizer) or it could be also depending on property
"Ask for advance options".
Comment 3 Chris Ledantec 2000-11-08 12:18:59 UTC
the vcscvs module should consider following closely the ui that is being
developed around the javacvs module. many of these issues are being addressed
there and the behavior should be consistent between the two.

as it stands now the current design approach is to have each command have a
property for extended options. if true then when the user clicks of the command
a dialog opens that allows the user to set flags for the command before the
command is issued. if the property is false then whatever flags were set
(either by the user or from default or some .rc file) the command is issued
straight away without the dialog. additionally, if false the user can still get
to the dialog with a ctrl+click on the command.

to reitterate from the top, it's really important that general behavior and ui
between javacvs and vcscvs be the same -consistency for the user and all
that. :-)
Comment 4 dmladek 2001-02-05 12:59:59 UTC
Automaticaly changed Version from "Other" to "Dev"
Version "Other" is nonsence
Comment 5 dmladek 2001-04-10 16:48:46 UTC
Fixed in NBdev, and NB32
Comment 6 dmladek 2001-04-10 16:51:29 UTC
Now you can see commands output from RunTime TAB in Explorer -> VCS Commands ->
under the appropriate node of CVS FS. Here is the history of run commands.
On a commands double clisk to open its output history.
Comment 7 Jan Chalupa 2001-05-06 15:36:37 UTC
Target milestone -> 3.2


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo